# what it's called on pypi
%global srcname bst-external
# what it's imported as
%global modname bst_external
# name of egg info directory
%global eggname BuildStream_external
# package name fragment
%global pkgname bst-external

Name:           bst-external
Version:        0.20.0
Release:        1%{?dist}
Summary:        Additional BuildStream plugins

License:        LGPL-2.1
URL:            https://gitlab.com/BuildStream/bst-external
Source0:        %{url}/-/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  %{py3_dist setuptools}
BuildRequires:  %{py3_dist requests}
BuildRequires:  %{py3_dist setuptools-scm}
BuildRequires:  %{py3_dist pytoml}
# Tests
BuildRequires:  %{py3_dist pytest-runner}
BuildRequires:  %{py3_dist pep8}
BuildRequires:  %{py3_dist coverage}
BuildRequires:  %{py3_dist pytest-datafiles}
BuildRequires:  %{py3_dist pytest-env}
BuildRequires:  %{py3_dist pytest-pep8}
BuildRequires:  %{py3_dist pytest-cov}
BuildRequires:  %{py3_dist pytest-xdist}
BuildRequires:  %{py3_dist pytest}

BuildRequires:  %{py3_dist buildstream}
BuildRequires:  %{py3_dist ruamel.yaml}

%description
A collection of BuildStream plugins that don't fit in with the core plugins for
whatever reason.


%prep
%autosetup

sed 's|coverage == 4.4.0|coverage|' -i setup.py


%build
%py3_build


%install
%py3_install


%check
#FIXME test won't work offline
PATH=%{buildroot}%{_bindir}:${PATH} \
PYTHONPATH=%{buildroot}%{python3_sitelib} \
%{__python3} setup.py test ||:


%files
%license LICENSE
%doc README.rst NEWS MAINTAINERS
%{python3_sitelib}/%{modname}
%{python3_sitelib}/%{eggname}-%{version}-py%{python3_version}.egg-info


%changelog
* Sun Mar 01 2020 gasinvein <gasinvein@gmail.com> - 0.20.0-1
- new version

* Wed Nov 27 2019 gasinvein <gasinvein@gmail.com> - 0.19.1-1
- new version

* Fri Sep 27 2019 gasinvein <gasinvein@gmail.com> - 0.18.0-1
- new version

* Sat Jun  8 2019 gasinvein <gasinvein@gmail.com>
- Initial package
